# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so

%define sname PyQtPurchasing
%define sip_ver 1:4.19.19
%define qt5_minver 5.15.2

Name:           python-qt5-purchasing
Version:        5.15.2
Release:        %mkrel 1
Summary:        Set of Python bindings for The Qt Purchasing library
License:        GPLv3
Group:          Development/KDE and Qt
URL:            https://www.riverbankcomputing.com/software/pyqtpurchasing/
#https://www.riverbankcomputing.com/static/Downloads/PyQtPurchasing/%%{version}/%%{sname}-%%{version}.tar.gz
Source0:        http://pypi.io/packages/source/p/pyqtpurchasing/%{sname}-%{version}.tar.gz

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-qt5-devel >= %{version}
BuildRequires:  python3-sip-devel >= %{sip_ver}
BuildRequires:  python3-pyqt5-sip >= %{sip_ver}

BuildRequires:  pkgconfig(Qt5Purchasing) >= %{qt5_minver}
BuildRequires:  pkgconfig(Qt5Core) >= %{qt5_minver}
BuildRequires:  pkgconfig(Qt5Gui) >= %{qt5_minver}
BuildRequires:  pkgconfig(Qt5Widgets) >= %{qt5_minver}

%description
PyQtPurchasing is a set of Python bindings for The Qt Company's
Qt Purchasing library.
The bindings sit on top of PyQt5 and are implemented as a single module.

#------------------------------------------------------------

### python3-qt5

%define py3_name python3-qt5

%package -n     %{py3_name}-purchasing
Summary:        Python 3 bindings for PyQt 5 purchasing
Group:          Development/KDE and Qt
Requires:       %{py3_name}-core >= %{version}
Requires:       python3-pyqt5-sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n %{py3_name}-purchasing
Python 3 bindings for PyQt 5 purchasing.

%files -n %{py3_name}-purchasing
%doc ChangeLog NEWS README
%{python3_sitearch}/PyQt5/QtPurchasing.*
%{python3_sitearch}/PyQtPurchasing-%{version}.dist-info
%{_datadir}/python3-sip/PyQt5/QtPurchasing/

#------------------------------------------------------------

%package -n     %{py3_name}-purchasing-qsci-api
Summary:        Python 3 bindings for PyQt 5 purchasing Qscintilla API
Group:          Development/KDE and Qt

%description -n %{py3_name}-purchasing-qsci-api
Python 3 bindings for PyQt 5 purchasing Qscintilla API.

%files -n %{py3_name}-purchasing-qsci-api
%dir %{_qt5_datadir}/qsci/
%dir %{_qt5_datadir}/qsci/api/
%dir %{_qt5_datadir}/qsci/api/python/
%{_qt5_datadir}/qsci/api/python/PyQtPurchasing.api

### END python3-qt5

#------------------------------------------------------------

%prep
%autosetup -p1 -n %{sname}-%{version}

%build
### Python 3 build:
%{__python3} ./configure.py \
  --pyqt-sipdir=%{_datadir}/python3-sip/PyQt5 \
  --qmake="%{_qt5_bindir}/qmake" \
  --debug \
  --verbose

%make_build CXXFLAGS="%{optflags} -fPIC \$(DEFINES)"

%install
### python 3 Install:
%make_install INSTALL_ROOT=%{buildroot}

# ensure .so modules are executable for proper -debuginfo extraction
for i in %{buildroot}%{python3_sitearch}/PyQt5/*.so ; do
test -x $i  || chmod a+rx $i
done


%changelog
* Sat Dec 05 2020 daviddavid <daviddavid> 5.15.2-1.mga8
+ Revision: 1652956
- New version 5.15.2

* Sun Sep 13 2020 daviddavid <daviddavid> 5.15.1-1.mga8
+ Revision: 1625556
- new version: 5.15.1

* Thu Jun 25 2020 daviddavid <daviddavid> 5.15.0-2.mga8
+ Revision: 1599182
- rebuild with sip 4.19.23

* Thu Jun 04 2020 daviddavid <daviddavid> 5.15.0-1.mga8
+ Revision: 1590400
- new version: 5.15.0

* Thu Feb 20 2020 umeabot <umeabot> 5.14.0-2.mga8
+ Revision: 1545919
- Mageia 8 Mass Rebuild

* Thu Jan 30 2020 daviddavid <daviddavid> 5.14.0-1.mga8
+ Revision: 1485529
- New version 5.14.0

* Wed Sep 11 2019 daviddavid <daviddavid> 5.13.0-2.mga8
+ Revision: 1439854
- rebuild for python3.8
- drop python2 support

* Sun Jul 28 2019 daviddavid <daviddavid> 5.13.0-1.mga8
+ Revision: 1424688
- New version 5.13.0

* Sun Jul 28 2019 daviddavid <daviddavid> 5.12-3.mga8
+ Revision: 1424678
- fix/workaround -debug generation
- rebuild for new Qt5 path

* Mon Apr 01 2019 umeabot <umeabot> 5.12-2.mga7
+ Revision: 1384112
- Qt5 Rebuild

* Fri Feb 15 2019 daviddavid <daviddavid> 5.12-1.mga7
+ Revision: 1367131
- initial package python-qt5-purchasing

